Package com.io7m.cardant.model

# Record Class CAItemLocation

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAItemLocation

Record Components:
  `item` - The item
  `location` - The location
  `count` - The number of items

public record CAItemLocation(CAItemID item, CALocationID location, long count) extends Record
An assertion that there are `count` `item` at `location`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemLocation(CAItemID item, CALocationID location, long count)`
  An assertion that there are `count` `item` at `location`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `CALocationID`
  `location()`
  Returns the value of the `location` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAItemLocation

    public CAItemLocation(CAItemID item, CALocationID location, long count)
    An assertion that there are `count` `item` at `location`.
    Parameters:
      `item` - The item
      `location` - The location
      `count` - The number of items

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### location

    public CALocationID location()
    Returns the value of the `location` record component.
    Returns:
      the value of the `location` record component

  - ### count

    public long count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component